using System;
using Microsoft.UI.Xaml.Data;
using Harmonia.WinUI.Models;

namespace Harmonia.WinUI.Converters;

public sealed partial class VolumeStateConverter : IValueConverter
{
    public VolumeStateConverter()
    {

    }

    public object? Convert(object value, Type targetType, object parameter, string language)
    {
        if (value is not VolumeState volumeState)
            return null;

        return volumeState.ToString();
    }

    public object ConvertBack(object value, Type targetType, object parameter, string language)
    {
        throw new NotImplementedException();
    }
}